function initPrefDialog()
{
  AddNewsServers();
  document.getElementById('messageidfinder-pref1').value   = checkPref1();
  document.getElementById('messageidfinder-pref2').checked = checkPref2();
  document.getElementById('messageidfinder-pref1').focus();
}


function savePrefs()
{
  var defaultnewsserver = document.getElementById('messageidfinder-pref1').value;
  var openmsginnewwin   = document.getElementById('messageidfinder-pref2').checked;

  pmpWritePref('extensions.messageidfinder.defaultnewsserver', defaultnewsserver, pmpS);
  pmpWritePref('extensions.messageidfinder.openmsginnewwin', openmsginnewwin, pmpB);
}


function checkPref1()
{
  var defaultnewsserver = pmpReadPref('extensions.messageidfinder.defaultnewsserver',pmpS);

  if (defaultnewsserver == null)
  {
    defaultnewsserver = 'none';
  }

  return defaultnewsserver;
}


function checkPref2()
{
  var openmsginnewwin = pmpReadPref('extensions.messageidfinder.openmsginnewwin',pmpB);

  if (openmsginnewwin == null)
  {
    openmsginnewwin = false;
  }

  return openmsginnewwin;
}


/*
 *   Writes pmpValue to pmpName in the mozilla preferences
 */
function pmpWritePref(pmpName, pmpValue, pmpType)
{
   var nsIPrefer = Components.interfaces.nsIPref;
   var pref = Components.classes[ "@mozilla.org/preferences;1"].getService(nsIPrefer);
   switch (pmpType)
   {
     case pmpB:
       pref.SetBoolPref(pmpName, pmpValue);
       break;
     case pmpN:
       pref.SetIntPref(pmpName, pmpValue);
       break;
     case pmpS:
       pref.SetCharPref(pmpName, pmpValue);
       break;
   }
}